## mx4j.server
Class MX4JMBeanServerBuilder

    java.lang.Object
      javax.management.MBeanServerBuilder
          mx4j.server.MX4JMBeanServerBuilder

public class MX4JMBeanServerBuilder
extends javax.management.MBeanServerBuilder

This class is responsible for creating new instances of `MBeanServerDelegate` and `MBeanServer`. It creates instances from the implementation in the `mx4j.server` package.

The `MBeanServerFactory` first creates the delegate, then it creates the MBeanServer and provides a reference to the created delegate to it. Note that the delegate passed to the MBeanServer might not be the instance returned by this builder; for example, it could be a wrapper around it.

Version:
  $Revision: 1.7 $
See Also:
  `MBeanServer`, `MBeanServerFactory`

Constructor Summary
`MX4JMBeanServerBuilder()`

Method Summary
`javax.management.MBeanServer` `newMBeanServer(java.lang.String defaultDomain, javax.management.MBeanServer outer, javax.management.MBeanServerDelegate delegate)` Returns a new `MX4JMBeanServer` instance.
`javax.management.MBeanServerDelegate` `newMBeanServerDelegate()` Returns a new `MX4JMBeanServerDelegate` instance for a new MBeanServer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MX4JMBeanServerBuilder

    public MX4JMBeanServerBuilder()

Method Detail

### newMBeanServerDelegate

    public javax.management.MBeanServerDelegate newMBeanServerDelegate()

  Returns a new `MX4JMBeanServerDelegate` instance for a new MBeanServer.

  Returns:
    a new `MX4JMBeanServerDelegate` instance for a new MBeanServer.

### newMBeanServer

    public javax.management.MBeanServer newMBeanServer(java.lang.String defaultDomain,
                                                       javax.management.MBeanServer outer,
                                                       javax.management.MBeanServerDelegate delegate)

  Returns a new `MX4JMBeanServer` instance.

  Parameters:
    `defaultDomain` - the default domain name for the new server.
    `outer` - the `MBeanServer` that is passed in calls to `MBeanRegistration.preRegister(javax.management.MBeanServer, javax.management.ObjectName)`.
    `delegate` - the `MBeanServerDelegate` instance for the new server.
  Returns:
    a new `MX4JMBeanServer` instance.

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.